shr.defineClass("shr.customer.gtiit.PersonContactMethodEditEx",shr.emp.PersonContactMethodEdit, {
	
	initalizeDOM: function () {
		shr.customer.gtiit.PersonContactMethodEditEx.superClass.initalizeDOM.call(this);
	},
	verify:function(){
		var graduatedDate = $("#graduation").shrDateTimePicker("getValue");
		if(graduatedDate){
			graduatedDate = new Date(graduatedDate);
			if(graduatedDate.getTime() > new Date().getTime()){
				shr.showWarning({message: "The graduation time cannot be longer than the current time !"});
				return false;
			}
		}
		return true;
	}
	
});